前几天搞了一个AWS lightsail账号, 发现里面竟然没有CentOS, 只有Ubuntu, 但因为平常用的都是CentOS, 对这个ubuntu完全不熟悉, 所以只能硬着头皮用.

9reITU.md.png

系统是安装好了, 但是AWS的内核比较低, 是4.4.0的, 看网上的介绍需要在4.9以后才能开启BBR, 看到咯拉无米这里有个教程.
https://www.ooo.hk/threads/9/

我把他转载过来吧.
查看内核

uname -r

显示的是

4.4.0-1013-aws

下载最新的内核

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15.7/linux-headers-4.15.7-041507_4.15.7-041507.201802280530_all.deb
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15.7/linux-headers-4.15.7-041507-generic_4.15.7-041507.201802280530_amd64.deb
wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15.7/linux-image-4.15.7-041507-generic_4.15.7-041507.201802280530_amd64.deb

ubuntu最新的内核地址
http://kernel.ubuntu.com/~kernel-ppa/mainline/

安装内核

dpkg -i *.deb

查看已经安装的内核

dpkg -l | grep linux-image

返回结果

ii linux-image-4.15.7-041507-generic 4.15.7-041507.201802280530
amd64 Linux kernel image for version 4.15.7 on 64 bit x86 SMP
ii linux-image-4.4.0-1013-aws 4.4.0-1013.22
amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP ii
linux-image-aws 4.4.0.1013.16
amd64 Linux kernel image for Amazon Web Services (AWS) systems.

删除老的4.4.0内核

apt remove linux-image-4.4.0-1013-aws

更新启动引导

update-grub

重启

reboot

重启后查看内核

uname -r

[email protected]:~# uname -r
4.15.7-041507-generic
[email protected]:~#
看到已经是最新的内核了

开始安装BBR

echo "net.core.default_qdisc=fq" >> /etc/sysctl.conf
echo "net.ipv4.tcp_congestion_control=bbr" >> /etc/sysctl.conf

然后使其生效

sysctl -p

查看BBR是否安装成功

sysctl net.core.default_qdisc

如果返回下面的信息

net.core.default_qdisc = fq

再输入

sysctl net.ipv4.tcp_congestion_control

返回

net.ipv4.tcp_congestion_control = bbr

就说明安装成功了.
9reqp9.png

另外还有一些查看内核等相关信息的命令

dpkg -l | grep linux-


本教程抄袭咯拉无米的UBUNTU/DEBAIN 更换内核并开启BBR
https://www.ooo.hk/threads/9/